Remove actions for a tool
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions/remove \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"actions": [
"send-email",
"draft-email",
"read-emails"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions/remove"
payload = { "actions": ["send-email", "draft-email", "read-emails"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({actions: ['send-email', 'draft-email', 'read-emails']})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Tools
Remove actions for a tool
Removes actions from a specific tool attached to an agent.
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
tools
/
{slug}
/
actions
/
remove
Remove actions for a tool
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
AI Agent UID
Tool slug (e.g., gmail, googlesheets)
Body
application/json
Array of action names to add or remove
Example:
["send-email", "draft-email", "read-emails"]
Response
200 - application/json
Actions removed successfully
The response is of type object.
Was this page helpful?
⌘I